## NAME

v.out.dlg.scs - Converts binary GRASS vector data to binary DLG-3 Optional vector data format.
(SCS GRASS Vector Data Export Program)

## SYNOPSIS

v.out.dlg.scs
v.out.dlg.scs help
v.out.dlg.scs input=name output=name

## DESCRIPTION

The GRASS program v.out.dlg.scs allows the user to convert GRASS vector data to DLG-3 Optional format, for export to other systems, just as v.out.dlg does. However, a flat ASCII file of labels and their coresponding dlg record numbers is created. This flat file is used to provide the label information to other systems, since most do NOT support text attributes in a DLG import.

The user can run the program non-interactively by specifying all program arguments on the command line, in the form:

  v.out.dlg.scs input=name output=name

### Parameters:

input=name
  Name of the binary GRASS vector data file to be converted to DLG-3 format.
output=name
  Name to be assigned to the DLG-3 Optional format output file created.

If the user does not give the names of an input and output file on the command line, the program will prompt the user to enter these names.

## NOTES

The v.out.dlg.scs program requires that the input vector map layer have full topological information associated with it. This means that the GRASS program v.support should have been the last program to have effected any changes upon the vector map layer before it is run through v.out.dlg.scs. If this is not the case, v.out.dlg.scs will terminate with a message that v.support needs to be run.

The output from v.out.dlg.scs will be placed in $LOCATION/dlg. The output flat file from v.out.dlg.scs will also be placed in $LOCATION/dlg, with the extension ".att" attached to the same output name.

## SEE ALSO

v.import, v.in.ascii, v.in.dlg, v.in.dlg.scs, v.support

## AUTHOR

R.L. Glenn, USDA, SCS, NHQ-CGIS

Last changed: $Date: 2002/01/25 05:45:35 $